# Uses of Interface
org.eclipse.emf.cdo.server.ISynchronizableRepository

Packages that use ISynchronizableRepository
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.net4j
Server concepts for dealing with Net4j-based repositories and fail-over infrastructure.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of ISynchronizableRepository in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return ISynchronizableRepository
Modifier and Type
Method
Description
`static ISynchronizableRepository`
CDOServerUtil.`createFailoverParticipant(String name, IStore store, Map<String,String> props)`
`static ISynchronizableRepository`
CDOServerUtil.`createFailoverParticipant(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer)`
`static ISynchronizableRepository`
CDOServerUtil.`createFailoverParticipant(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer, boolean master)`
`static ISynchronizableRepository`
CDOServerUtil.`createFailoverParticipant(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer, boolean master, boolean allowBackupCommits)`
`static ISynchronizableRepository`
CDOServerUtil.`createOfflineClone(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer)`
`ISynchronizableRepository`
IRepositorySynchronizer.`getLocalRepository()`

## Uses of ISynchronizableRepository in org.eclipse.emf.cdo.server.net4j

Methods in org.eclipse.emf.cdo.server.net4j that return ISynchronizableRepository
Modifier and Type
Method
Description
`ISynchronizableRepository`
FailoverAgent.`getRepository()`
Methods in org.eclipse.emf.cdo.server.net4j with parameters of type ISynchronizableRepository
Modifier and Type
Method
Description
`void`
FailoverAgent.`setRepository(ISynchronizableRepository repository)`

## Uses of ISynchronizableRepository in org.eclipse.emf.cdo.spi.server

Subinterfaces of ISynchronizableRepository in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalFailoverParticipant`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalSynchronizableRepository`
If the meaning of this type isn't clear, there really should be more of a description here...